Bug 657188 - guest cannot suspend to s4
guest cannot suspend to s4
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Andrea Arcangeli
Red Hat Kernel QE team
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2010-11-25 01:44 EST by Chao Yang
Modified: 2011-08-28 08:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-28 08:54:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bash error message (15.45 KB, image/png)
2010-11-25 01:46 EST, Chao Yang
no flags Details
kernel console output (2.19 KB, text/plain)
2010-11-25 01:47 EST, Chao Yang
no flags Details
guest device message (137.98 KB, text/plain)
2010-11-25 01:47 EST, Chao Yang
no flags Details
error messages guest claims when do suspend to disk (21.09 KB, text/plain)
2011-02-25 04:18 EST, Chao Yang
no flags Details

  None (edit)
Description Chao Yang 2010-11-25 01:44:40 EST
Description of problem:


Version-Release number of selected component (if applicable):
--Host
# rpm -qa|grep kvm
kmod-kvm-83-215.el5
kmod-kvm-debug-83-215.el5
kvm-qemu-img-83-215.el5
kvm-tools-83-215.el5
etherboot-zroms-kvm-5.4.4-13.el5
kvm-debuginfo-83-215.el5
kvm-83-215.el5

# uname -r
2.6.18-232.el5

--Guest

# uname -r
2.6.32-71.el6.x86_64



How reproducible:


Steps to Reproduce:
1. boot guest with
# /usr/libexec/qemu-kvm -no-hpet -rtc-td-hack -usbdevice tablet -startdate now -name rhel6.0-64 -smp 2 -m 4G -boot c  -drive file=/root/zhangjunyi/rhel6.0_64.qcow2,media=disk,if=ide,cache=none,format=qcow2,werror=stop,boot=on -vnc :18 -cpu qemu64 -M rhel5.6.0 -notify all -balloon none -monitor stdio -net none
2. connect to guest use vnc
3. suspend to disk
# echo disk > /sys/power/state
  
Actual results:

guest cannot suspend to s4
Expected results:

guest suspend to s4 correctly
Additional info:
1. Both hit the issue with -pcidevice and without -pcidevice
2. guest error message: write error: device or resouce busy
3. attached screenshot and kernel output
Comment 1 Chao Yang 2010-11-25 01:46:14 EST
Created attachment 462831 [details]
bash error message
Comment 2 Chao Yang 2010-11-25 01:47:13 EST
Created attachment 462832 [details]
kernel console output
Comment 3 Chao Yang 2010-11-25 01:47:47 EST
Created attachment 462833 [details]
guest device message
Comment 4 Gleb Natapov 2010-12-01 08:11:32 EST
guest problem with khugepaged.
Comment 10 Chao Yang 2011-02-25 04:18:55 EST
Created attachment 480960 [details]
error messages guest claims when do suspend to disk
Comment 11 Ronen Hod 2011-08-28 08:54:07 EDT
Closing for RHEL5.8. Suspend to S4 is not crucial.

Note You need to log in before you can comment on or make changes to this bug.